WMMEMLOAD(1)

NAME
wmmemload - A dockapp to monitor memory/swap usages

SYNOPSIS
wmmemload [options]

DESCRIPTION
This manual page documents briefly the wmmemload command.

WMMemLoad is a program to monitor memory/swap usages. It is a dockapp that is supported by X window managers such as Window Maker, AfterStep, BlackBox, and Enlightenment.

The current memory usage is displayed in the top half. The swap usage is in the bottom half. It has an LCD look-alike user interface. The back-light may be turned on/off by clicking the mouse button over the appliacation. If the usage hits a certain threshold, an alarm-mode will alert you by turning on back-light.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-d, --display <string>
    Attempt to open a window on the named X display. In the absence of this option, the display specified by the DISPLAY environment variable is used.

-bl, --backlight
    turn on back-light.

-lc, --light-color <color>
    back-light color. (rgb:6E/C6/3B is default)

-i, --interval <number>
    number of secs between updates. (1 is default)

-b, --ignore-buffers
    ignore buffers. (GNU/Linux)

-c, --ignore-cached
    ignore cached pages. (GNU/Linux / FreeBSD)

-wr, --ignore-wired
    ignore wired pages. (FreeBSD)

-h, --help
    show help text and exit.

-v, --version
    show program version and exit.

-w, --windowed
    run the application in windowed mode

-bw, --broken-wm
    activate broken window manager fix

-am, --alarm-mem <percentage>
    activate alarm mode of memory. <percentage> is threshold of percentage from 0 to 100.(90 is default)

-as, --alarm-swap <percentage>
    activate alarm mode of swap. <percentage> is threshold of percentage from 0 to 100.(50 is default)

AUTHOR
WMMemLoad was assembled by Mark Staggs <me@markstaggs.net>. It is largely based on WMMemMon and WMCPULoad by Seiichi SATO <ssato@sh.rim.or.jp>.